backend:
  name: bitbucket
  repo: conductiva/facturadirecta2_web
  branch: master
  auth_type: implicit
  app_id: xsrntn7fk4wtCsVeFv # The Key from your Bitbucket settings

media_folder: "src/assets/blog" # Folder where user uploaded files should go
public_folder: "blog"
publish_mode: editorial_workflow

collections: # A list of collections the CMS should be able to edit
  - name: "news" # Used in routes, ie.: /admin/collections/:slug/edit
    label: "Novedades" # Used in the UI, ie.: "New Post"
    summary: "{{date}} - {{title}}"
    folder: "src/content/novedades" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    fields: # The fields each document in this collection have
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Publish Date", name: "date", widget: "date"}
      - {label: "Intro Blurb", name: "description", widget: "text"}
      - {label: "Image", name: "img", widget: "image", required: false}
      - {label: "Body", name: "body", widget: "markdown"}
  - name: "post" # Used in routes, ie.: /admin/collections/:slug/edit
    label: "Post" # Used in the UI, ie.: "New Post"
    summary: "{{date}} - {{title}} ({{categories[0]}})"
    folder: "src/content/blog" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    view_filters:
      - label: "Artículos de Fiscalidad"
        field: categories
        pattern: '4-category'
      - label: "Artículos de Pequeños negocios"
        field: categories
        pattern: '2-category'
    fields: # The fields each document in this collection have
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Publish Date", name: "date", widget: "date"}
      - {label: "Intro Blurb", name: "description", widget: "text"}
      - {label: "Image", name: "img", widget: "image", required: false}
      - {label: "Category", name: "categories", widget: "select", multiple: true, options: ["2-category","4-category"]}
      - {label: "Authors", name: "authors", widget: "select", multiple: true, options: ["pol","veronica","jordi","ramiro","yacarli","edith","alejandro","pablo","joan","elisa","tomas"]}
      - {label: "Body", name: "body", widget: "markdown"}
